<?php

add_action( 'wp_enqueue_scripts', 'bizberg_individual_consultant_chld_thm_parent_css' );
function bizberg_individual_consultant_chld_thm_parent_css() {

    wp_enqueue_style( 
    	'bizberg_individual_consultant_chld_css', 
    	trailingslashit( get_template_directory_uri() ) . 'style.css', 
    	array( 
    		'bootstrap',
    		'font-awesome-5',
    		'bizberg-main',
    		'bizberg-component',
    		'bizberg-style2',
    		'bizberg-responsive' 
    	) 
    );

    if ( is_rtl() ) {
        wp_enqueue_style( 
            'bizberg_individual_consultant_parent_rtl', 
            trailingslashit( get_template_directory_uri() ) . 'rtl.css'
        );
    }
    
}

add_filter( 'bizberg_banner_spacing', 'bizberg_individual_consultant_banner_spacing' );
function bizberg_individual_consultant_banner_spacing(){
    return [
        'padding-top'    => '325px',
        'padding-bottom' => '275px',
        'padding-left'   => '0px',
        'padding-right'  => '0px',
    ];
}

add_filter( 'bizberg_banner_text_position', 'bizberg_individual_consultant_banner_text_position' );
function bizberg_individual_consultant_banner_text_position(){
    return 'left';
}

add_filter( 'bizberg_sidebar_spacing_status', 'bizberg_individual_consultant_sidebar_spacing_status' );
function bizberg_individual_consultant_sidebar_spacing_status(){
    return '0px';
}

add_filter( 'bizberg_sidebar_widget_border_color', 'bizberg_individual_consultant_widget_background_color' );
add_filter( 'bizberg_sidebar_widget_background_color', 'bizberg_individual_consultant_widget_background_color' );
function bizberg_individual_consultant_widget_background_color(){
    return 'rgba(251,251,251,0)';
}

add_filter( 'bizberg_sidebar_settings', 'bizberg_individual_consultant_sidebar_settings' );
function bizberg_individual_consultant_sidebar_settings(){
    return '4';
}

add_filter( 'bizberg_three_col_listing_radius', 'bizberg_individual_consultant_three_col_listing_radius' );
function bizberg_individual_consultant_three_col_listing_radius(){
    return '0';
}

add_filter( 'bizberg_background_color_1', 'bizberg_individual_consultant_top_bar_background_1' );
add_filter( 'bizberg_background_color_2', 'bizberg_individual_consultant_top_bar_background_1' );
function bizberg_individual_consultant_top_bar_background_1(){
    return '#0088cc';
}

add_filter( 'bizberg_banner_title', 'bizberg_individual_consultant_banner_title' );
function bizberg_individual_consultant_banner_title(){
    return current_user_can( 'edit_theme_options' ) ? esc_html__( 'WELCOME TO BIZBERG INDIVIDUAL CONSULTANT' , 'bizberg-individual-consultant' ) : '';
}

add_filter( 'bizberg_banner_subtitle', 'bizberg_individual_consultant_banner_subtitle' );
function bizberg_individual_consultant_banner_subtitle(){
    return current_user_can( 'edit_theme_options' ) ? esc_html__( "There are many variations of passages of Lorem Ipsum available, but the majority have suffered alteration in some form, by injected humour, or randomised words which don't look even slightly believable." , 'bizberg-individual-consultant' ) : '';
}

add_filter( 'bizberg_banner_image', 'bizberg_individual_consultant_banner_image' );
function bizberg_individual_consultant_banner_image(){
    return [
        'background-color'      => 'rgba(20,20,20,.8)',
        'background-image'      => get_stylesheet_directory_uri() . '/images/computer-hand-man-working-person-technology-1076173-pxhere.com.jpg',
        'background-repeat'     => 'repeat',
        'background-position'   => 'center center',
        'background-size'       => 'cover',
        'background-attachment' => 'fixed'
    ];
}

add_filter( 'bizberg_banner_opacity_primary_color', 'bizberg_individual_consultant_banner_opacity_primary_color' );
function bizberg_individual_consultant_banner_opacity_primary_color(){
    return 'rgba(0,0,0,0.7)';
}

add_filter( 'bizberg_banner_opacity_secondary_color', 'bizberg_individual_consultant_banner_opacity_secondary_color' );
function bizberg_individual_consultant_banner_opacity_secondary_color(){
    return 'rgba(0,0,0,0.1)';
}

add_filter( 'bizberg_transparent_header_homepage', 'bizberg_individual_consultant_transparent_header_homepage' );
function bizberg_individual_consultant_transparent_header_homepage(){
    return true;
}

add_filter( 'bizberg_transparent_navbar_background', 'bizberg_individual_consultant_transparent_navbar_background' );
function bizberg_individual_consultant_transparent_navbar_background(){
    return 'rgba(10,10,10,0)';
}

add_filter( 'bizberg_header_blur', 'bizberg_individual_consultant_header_blur' );
function bizberg_individual_consultant_header_blur(){
    return 0;
}

add_filter( 'bizberg_transparent_header_menu_sticky_background', 'bizberg_individual_consultant_transparent_header_menu_sticky_background' );
function bizberg_individual_consultant_transparent_header_menu_sticky_background(){
    return '#fff';
}

add_filter( 'bizberg_transparent_header_menu_color_hover', 'bizberg_individual_consultant_transparent_header_menu_color_hover' );
function bizberg_individual_consultant_transparent_header_menu_color_hover(){
    return '#0088cc';
}

add_filter( 'bizberg_transparent_header_menu_sticky_text_color', 'bizberg_individual_consultant_transparent_header_menu_sticky_text_color' );
function bizberg_individual_consultant_transparent_header_menu_sticky_text_color(){
    return '#64686d';
}

add_filter( 'bizberg_transparent_header_menu_toggle_color_mobile', 'bizberg_individual_consultant_transparent_header_menu_toggle_color_mobile' );
function bizberg_individual_consultant_transparent_header_menu_toggle_color_mobile(){
    return '#fff';
}

add_filter( 'bizberg_banner_title_font_status' , 'bizberg_individual_consultant_banner_title_font_status' );
function bizberg_individual_consultant_banner_title_font_status(){
    return true;
}

add_filter( 'bizberg_banner_title_font_desktop' , 'bizberg_individual_consultant_banner_title_font_desktop' );
function bizberg_individual_consultant_banner_title_font_desktop(){
    return [
        'font-family'    => 'Poppins',
        'variant'        => '900',
        'font-size'      => '80px',
        'line-height'    => '1',
        'letter-spacing' => '0',
        'text-transform' => 'none'
    ];
}

add_filter( 'bizberg_banner_title_font_tablet' , 'bizberg_individual_consultant_banner_title_font_tablet' );
function bizberg_individual_consultant_banner_title_font_tablet(){
    return [
        'font-size'      => '50px',
        'line-height'    => '1',
        'letter-spacing' => '0'
    ];
}

add_filter( 'bizberg_banner_title_font_mobile' , 'bizberg_individual_consultant_banner_title_font_mobile' );
function bizberg_individual_consultant_banner_title_font_mobile(){
    return [
        'font-size'      => '30px',
        'line-height'    => '1',
        'letter-spacing' => '0'
    ];
}

add_filter( 'bizberg_banner_subtitle_font_status' , 'bizberg_individual_consultant_banner_subtitle_font_status' );
function bizberg_individual_consultant_banner_subtitle_font_status(){
    return true;
}

add_filter( 'bizberg_banner_subtitle_font_settings_desktop' , 'bizberg_individual_consultant_banner_subtitle_font_settings_desktop' );
function bizberg_individual_consultant_banner_subtitle_font_settings_desktop(){
    return [
        'font-family'    => 'Poppins',
        'variant'        => 'regular',
        'font-size'      => '20px',
        'line-height'    => '1.4',
        'letter-spacing' => '0',
        'text-transform' => 'none'
    ];
}

add_filter( 'bizberg_sticky_content_sidebar' , 'bizberg_individual_consultant_sticky_content_sidebar' );
function bizberg_individual_consultant_sticky_content_sidebar(){
    return false;
}

add_filter( 'bizberg_top_header_status', 'bizberg_individual_consultant_top_header_status' );
function bizberg_individual_consultant_top_header_status(){
    return false;
}

add_filter( 'bizberg_getting_started_screenshot', function(){
    return true;
});

add_action( 'after_setup_theme', 'bizberg_individual_consultant_setup_theme' );
function bizberg_individual_consultant_setup_theme() {
    add_theme_support( 'title-tag' );
    add_theme_support( 'automatic-feed-links' );
}